MiiSelectorConf Struct Reference

Parameter structure passed to AppletEd. More...

`#include <miiselector.h>`

## Data Fields

u8 | enable_cancel_button
| Enables canceling of selection if nonzero.
u8 | enable_selecting_guests
| Makes Guets Miis selectable if nonzero.
u8 | show_on_top_screen
| Shows applet on top screen if nonzero, otherwise show it on the bottom screen.
u16 | title [MIISELECTOR_TITLE_LEN]
| UTF16-LE string displayed at the top of the applet. More...
u8 | show_guest_page
| If nonzero, the applet shows a page with Guest Miis on launch.
u32 | initial_index
| Index of the initially selected Mii. More...
u8 | mii_guest_whitelist [MIISELECTOR_GUESTMII_SLOTS]
| Each byte set to a nonzero value enables its corresponding Guest Mii to be enabled for selection.
u8 | mii_whitelist [MIISELECTOR_USERMII_SLOTS]
| Each byte set to a nonzero value enables its corresponding user Mii to be enabled for selection.
u32 | magic
| Will be set to MIISELECTOR_MAGIC before launching the applet.

## Detailed Description

Parameter structure passed to AppletEd.

## Field Documentation

## initial_index

u32 MiiSelectorConf::initial_index

Index of the initially selected Mii.

If MiiSelectorConf::show_guest_page is set, this is the index of a Guest Mii, otherwise that of a user Mii.

## title

u16 MiiSelectorConf::title[MIISELECTOR_TITLE_LEN]

UTF16-LE string displayed at the top of the applet.

If set to the empty string, a default title is displayed.

The documentation for this struct was generated from the following file:

- include/3ds/applets/miiselector.h